VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmCreateJob 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Enter complete or partial job definition"
   ClientHeight    =   3225
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   6030
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3225
   ScaleWidth      =   6030
   ShowInTaskbar   =   0   'False
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   4680
      Top             =   1680
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.TextBox txtJobDefinition 
      CausesValidation=   0   'False
      Height          =   2775
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      ToolTipText     =   "Enter job definition here. To paste job definition from a template click the Template button."
      Top             =   360
      Width           =   4335
   End
   Begin VB.CommandButton cmdTemplate 
      Caption         =   "&Template..."
      Height          =   375
      Left            =   4680
      TabIndex        =   4
      Top             =   2760
      Width           =   1215
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4680
      TabIndex        =   2
      Top             =   840
      Width           =   1215
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   4680
      TabIndex        =   1
      Top             =   360
      Width           =   1215
   End
   Begin VB.Label lblHeader 
      Caption         =   "Job Definition:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   3375
   End
End
Attribute VB_Name = "frmCreateJob"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public Succeeded As Boolean

Private Sub cmdCancel_Click()
    Me.Hide ' canceled
End Sub

Private Sub cmdOK_Click()
    ' copy job definition
    Succeeded = True
    Me.Hide
End Sub

Private Sub cmdTemplate_Click()
    ' display file opne dialog
    CommonDialog1.DialogTitle = "Select Template File"
    CommonDialog1.InitDir = "C:\Program Files\24x7 Scheduler 2.0\Template"
    CommonDialog1.FileName = "*.ini"
    CommonDialog1.ShowOpen
    ' Check if the file exists.
    If Dir(CommonDialog1.FileName) <> "" Then
        ' if file exists, load it
        Open CommonDialog1.FileName For Binary Access Read As #1   ' Open file.
        txtJobDefinition.Text = Input(LOF(1), #1)
        Close #1   ' Close file.
    End If
End Sub

Private Sub Form_Load()
    ' Display some very simple job definition
    txtJobDefinition.Text = "; Comments: this simple job will start Notepad on" & vbCrLf & _
                            ";                   the first business day of every month" & vbCrLf & _
                            ";                   In case if an error occurs the job will" & vbCrLf & _
                            ";                   send an email message to the specified" & vbCrLf & _
                            ";                   recipient." & vbCrLf & _
                            "[Variables]" & vbCrLf & _
                            "NAME = Dynamic COM+ job" & vbCrLf & _
                            "JOB_TYPE = P" & vbCrLf & _
                            "COMMAND = notepad.exe" & vbCrLf & _
                            "SCHEDULE_TYPE = M" & vbCrLf & _
                            "MONTHLY_TYPE = T" & vbCrLf & _
                            "DAY_NUMBER = First" & vbCrLf & _
                            "DAY_NAME = Weekday" & vbCrLf & _
                            "SLIDE_HOLIDAY = Y" & vbCrLf & _
                            "START_TIME = 09:00" & vbCrLf & _
                            "SKIP = N" & vbCrLf & _
                            "ASYNC = Y" & vbCrLf & _
                            "MSG_ERROR = Y" & vbCrLf & _
                            "MSG_EMAIL = Y" & vbCrLf & _
                            "MSG_ACCOUNT = your email profile here" & vbCrLf & _
                            "MSG_PASSWORD = your email password here" & vbCrLf & _
                            "MSG_RECIPIENT = email recipient here" & vbCrLf & _
                            "DESCRIPTION=Every month on the first business day this job kicks off the Windows Notepad."

End Sub
