VERSION 5.00
Begin VB.Form frmLogin 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "  Login to 24x7 Scheduler server"
   ClientHeight    =   3405
   ClientLeft      =   2835
   ClientTop       =   3480
   ClientWidth     =   4485
   ControlBox      =   0   'False
   Icon            =   "Login.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2011.786
   ScaleMode       =   0  'User
   ScaleWidth      =   4211.172
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtPort 
      Height          =   345
      IMEMode         =   3  'DISABLE
      Left            =   1665
      MaxLength       =   5
      TabIndex        =   2
      Text            =   "1096"
      ToolTipText     =   "Enter port number on which 24x7 Scheduler is listening for incoming connections"
      Top             =   510
      Width           =   630
   End
   Begin VB.TextBox txtHost 
      Height          =   345
      Left            =   1665
      TabIndex        =   1
      Text            =   "LocalHost"
      ToolTipText     =   $"Login.frx":000C
      Top             =   120
      Width           =   2565
   End
   Begin VB.TextBox txtUserName 
      Height          =   345
      Left            =   1650
      TabIndex        =   3
      ToolTipText     =   "Enter your user name"
      Top             =   975
      Width           =   2565
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   390
      Left            =   855
      TabIndex        =   6
      ToolTipText     =   "Press OK button to connect to the specified 24x7 Scheduler"
      Top             =   1980
      Width           =   1140
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   390
      Left            =   2460
      TabIndex        =   7
      ToolTipText     =   "Press the Cancel button to cancel Examples"
      Top             =   1980
      Width           =   1140
   End
   Begin VB.TextBox txtPassword 
      Height          =   345
      IMEMode         =   3  'DISABLE
      Left            =   1650
      PasswordChar    =   "*"
      TabIndex        =   4
      Text            =   "password"
      ToolTipText     =   "Enter passord required for succesfull connection to the 24x7 Scheduler"
      Top             =   1365
      Width           =   2565
   End
   Begin VB.Label lblContextHelp 
      BorderStyle     =   1  'Fixed Single
      Height          =   735
      Left            =   0
      TabIndex        =   10
      Top             =   2640
      UseMnemonic     =   0   'False
      Width           =   4455
   End
   Begin VB.Label lblPort 
      Caption         =   "P&ort:"
      Height          =   270
      Left            =   240
      TabIndex        =   9
      Top             =   525
      Width           =   1320
   End
   Begin VB.Label lblHost 
      Caption         =   "&Host Computer:"
      Height          =   270
      Left            =   240
      TabIndex        =   8
      Top             =   135
      Width           =   1320
   End
   Begin VB.Label lblUserName 
      Caption         =   "&User Name:"
      Height          =   270
      Left            =   225
      TabIndex        =   0
      Top             =   990
      Width           =   1320
   End
   Begin VB.Label lblPassword 
      Caption         =   "&Password:"
      Height          =   270
      Left            =   225
      TabIndex        =   5
      Top             =   1380
      Width           =   1320
   End
End
Attribute VB_Name = "frmLogin"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Makes sure all variables are dimensioned in each subroutine.
Option Explicit
Public LoginSucceeded As Boolean
' Access the GetUserNameA function in advapi32.dll and
' call the function GetUserName.
Private Declare Function GetUserName Lib "advapi32.dll" Alias "GetUserNameA" _
(ByVal lpBuffer As String, nSize As Long) As Long




Private Sub cmdCancel_Click()
    'set the global var to false
    'to denote a failed login
    LoginSucceeded = False
    Me.Hide
End Sub

Private Sub cmdOK_Click()
    'check for correct password
    If txtPassword = "password" Then
        'place code to here to pass the
        'success to the calling sub
        'setting a global var is the easiest
        LoginSucceeded = True
        Me.Hide
        
        ' copy entered parameters to the global variables
        ' this parameters are used in the main form frmExamplesMenu
        Host = txtHost.Text
        Port = txtPort.Text
        UserName = txtUserName.Text
        Password = txtPassword.Text
    Else
        MsgBox "Invalid Password, try again!", , "Login"
        txtPassword.SetFocus
        SendKeys "{Home}+{End}"
    End If
End Sub

Private Sub Form_Load()
    ' retrieve default user name and populate User Name field
   
    ' Dimension variables
    Dim lpBuff As String * 25
    Dim ret As Long
    
    ' Get the user name minus any trailing spaces found in the name.
    ret = GetUserName(lpBuff, 25)
    txtUserName.Text = Left(lpBuff, InStr(lpBuff, Chr(0)) - 1)
End Sub



Private Sub txtHost_GotFocus()
    lblContextHelp.Caption = txtHost.ToolTipText
End Sub



Private Sub txtPassword_GotFocus()
    lblContextHelp.Caption = txtPassword.ToolTipText
End Sub



Private Sub txtPort_GotFocus()
    lblContextHelp.Caption = txtPort.ToolTipText
End Sub



Private Sub txtUserName_GotFocus()
    lblContextHelp.Caption = txtUserName.ToolTipText
End Sub


Private Sub cmdCancel_GotFocus()
    lblContextHelp.Caption = cmdCancel.ToolTipText
End Sub

Private Sub cmdOK_GotFocus()
    lblContextHelp.Caption = cmdOK.ToolTipText
End Sub


